Issue 116164

Summary: File to show 8192 discontinuities crashes Calc
Product: Calc Reporter: r_ouellette <ray.ouellette>
Component: editingAssignee: kla <thomas.klarhoefer>
Status: CLOSED FIXED QA Contact: issues@sc <issues>
Severity: Trivial    
Priority: P3 CC: daniel.rentz, issues, mdxonefour, nesshof, niklas.nebel, oliver.brinzing, oprobst, vitriol_vitriol
Version: OOo 3.3 RC8Keywords: regression
Target Milestone: ---   
Hardware: All   
OS: All   
Issue Type: DEFECT Latest Confirmation in: ---
Developer Difficulty: ---
Issue Depends on:    
Issue Blocks: 111112    
Attachments:
Description Flags
To test 8192 lines discontinuities none

Description r_ouellette 2010-12-18 03:22:34 UTC
I often use a file to show that Calc doesn't have the 8192 discontinuities limit
as in Excel (see
http://smurfonspreadsheets.wordpress.com/2007/04/30/1-million-rows/). Until OOo
3.2.1 I can use my example file, with OOo 3.3RCx Calc crashes.

As I can't join my example file, here is how to create it:

In A1 put Number;
In B1 put Even or Odd;
From A2 to A20481 put the numbers from 1 to 20480 (use automatic fill);
From B2 to B20481 put 1 if the facing number in column A is even, put 2 if it is
odd (use copy/paste to do it);
Use Automatic filter so that you can select even or odd (2 or 1) from column 2.

This file never crashes OOo Calc before 3.3. You can use the same file in Excel
and try to select only the even or the odd numbers and do a copy/paste action.
It won't work, a weird message giving the user the impression that the problem
comes from him will appear (typical Microsoft message).

Calc 3.3 will freeze forever with this file set to use even or odd numbers only,
you need to kill the process. I tested this behaviour in Ubuntu Linux 10.04.1 64
bits and in win XP SP3 (at the office). To be honest, I also checked LibreOffice
Calc 3.3b2 in Ubuntu Linux 10.04.1 64 bits and the same behaviour occurred.
Comment 1 r_ouellette 2010-12-18 03:24:06 UTC
Created attachment 75369 [details]
To test 8192 lines discontinuities
Comment 2 Marcus 2010-12-18 09:12:30 UTC
when trying the attached file on Solaris Sparc it's not crashing but hanging for
some minutes, then the column is filtered with odd or even numbers, doing this
with OOo 3.2.1 it's hanging for 30 seconds
Comment 3 Oliver Brinzing 2010-12-18 10:43:56 UTC
confirming with attached file: oo33rc7 will hang about 5 minutes!

oo 32/321 are fine (about 8 seconds on my notebook - vista/32)

-> regression 

maybe a stopper ?

Comment 4 niklas.nebel 2011-01-05 10:38:43 UTC
reassigning
Comment 5 niklas.nebel 2011-01-05 10:40:21 UTC
Fixed in CWS "calc64".
Comment 6 niklas.nebel 2011-01-05 12:07:11 UTC
reassigning to QA for verification
Comment 7 kla 2011-01-06 14:12:29 UTC
verified in cws calc64
Comment 8 kla 2011-01-10 10:39:16 UTC
Seen ok in master -> closed